## EvAsyncRenderer

EvAsyncRenderer

## Functions

#define | EV_ASYNC_RENDERER_IFACE ()
#define | EV_IS_ASYNC_RENDERER_IFACE ()
void | ev_async_renderer_render_pixbuf ()

## Signals

void | render-finished | Run Last

## Types and Values

| EvAsyncRenderer

## Object Hierarchy

        GInterface
        ╰── EvAsyncRenderer

## Description

## Functions

### EV_ASYNC_RENDERER_IFACE()

    #define EV_ASYNC_RENDERER_IFACE(k)	  (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_ASYNC_RENDERER, EvAsyncRendererInterface))

### EV_IS_ASYNC_RENDERER_IFACE()

    #define EV_IS_ASYNC_RENDERER_IFACE(k)	  (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_ASYNC_RENDERER))

### ev_async_renderer_render_pixbuf ()

    void
    ev_async_renderer_render_pixbuf (EvAsyncRenderer *renderer,
                                     int page,
                                     double scale,
                                     int rotation);

## Types and Values

### EvAsyncRenderer

    typedef struct _EvAsyncRenderer EvAsyncRenderer;

## Signal Details

### The `“render-finished”` signal

    void
    user_function (EvAsyncRenderer *evasyncrenderer,
                   GdkPixbuf       *arg1,
                   gpointer         user_data)

Flags: Run Last